org.wso2.carbon.webapp.mgt

## Class WebappMetadataDeployer

- java.lang.Object
- - org.apache.axis2.deployment.AbstractDeployer
  - - org.wso2.carbon.webapp.mgt.WebappMetadataDeployer

- All Implemented Interfaces:
    org.apache.axis2.deployment.Deployer

      public class WebappMetadataDeployer
      extends org.apache.axis2.deployment.AbstractDeployer

- - ### Field Summary

    - ### Fields inherited from class org.apache.axis2.deployment.AbstractDeployer

      `deploymentFileDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappMetadataDeployer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(org.apache.axis2.deployment.repository.util.DeploymentFileData deploymentFileData)`
    `void` | `init(org.apache.axis2.context.ConfigurationContext configurationContext)`
    `void` | `setDirectory(String directory)`
    `void` | `setExtension(String s)`

    - ### Methods inherited from class org.apache.axis2.deployment.AbstractDeployer

      `cleanup, undeploy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappMetadataDeployer

          public WebappMetadataDeployer()

  - ### Method Detail

    - #### init

          public void init(org.apache.axis2.context.ConfigurationContext configurationContext)

    - #### setDirectory

          public void setDirectory(String directory)

    - #### setExtension

          public void setExtension(String s)

    - #### deploy

          public void deploy(org.apache.axis2.deployment.repository.util.DeploymentFileData deploymentFileData)
                      throws org.apache.axis2.deployment.DeploymentException

      Specified by:
        `deploy` in interface `org.apache.axis2.deployment.Deployer`
      Overrides:
        `deploy` in class `org.apache.axis2.deployment.AbstractDeployer`
      Throws:
        `org.apache.axis2.deployment.DeploymentException`

Copyright © 2017 WSO2. All rights reserved.